commit:     fe1a0772a20b85f689368a02d62f2846cbb6ee85
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 19 13:05:35 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jan 19 15:10:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe1a0772

dev-libs/raft: add 0.17.1

 - introduce subslot to raft.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/raft/Manifest           |  1 +
 dev-libs/raft/raft-0.17.1.ebuild | 56 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-libs/raft/Manifest b/dev-libs/raft/Manifest
index c3ac521c7e8e..6c541200fb2c 100644
--- a/dev-libs/raft/Manifest
+++ b/dev-libs/raft/Manifest
@@ -1 +1,2 @@
 DIST raft-0.16.0.tar.gz 347565 BLAKE2B 
8452feed5bffefcc8087e62cdd48bda05be6a4068fbffcb0621779ab349902015be9095f252a253d6584faf4bfc6c8daefd97a130e7a9f8ef682ca03efd70dc0
 SHA512 
cee4a2f6fd9a0a16b591d46aa9df2104a50f2b62068eb27017e3347fc28a6b3cd3aef6bfabe3acc7e72844406b4b71aff1d1e088d08e83d6d2f5744876a681c8
+DIST raft-0.17.1.tar.gz 354331 BLAKE2B 
d1be3eb4139422dab8126879d2ba0782e8635a60ce9752f4389f79dd2238021d9679d3b5f799c9627921c954a4395cdff139ff41f8145ebc43190f2c4aa3e5a7
 SHA512 
20e2b4a144a597b77bcb31e8b22355725142b14fb50e20b33509e7b0dd10aa20d08501b66e836c659e9aa492184db71ea9e53a45fe4b908b1464eb94431154db

diff --git a/dev-libs/raft/raft-0.17.1.ebuild b/dev-libs/raft/raft-0.17.1.ebuild
new file mode 100644
index 000000000000..a106fc2d4c91
--- /dev/null
+++ b/dev-libs/raft/raft-0.17.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="C implementation of the Raft consensus protocol"
+HOMEPAGE="https://github.com/canonical/raft";
+SRC_URI="https://github.com/canonical/raft/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-3-with-linking-exception"
+SLOT="0/3"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="lz4 test zfs"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/libuv:=
+       lz4? ( app-arch/lz4:= )"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/raft-0.10.0-toggle-zfs.patch
+       "${FILESDIR}"/raft-0.11.3-disable-automagic-check-for-lz4.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --enable-uv
+
+               --disable-backtrace
+               --disable-benchmark
+               --disable-debug
+               --disable-example
+               --disable-sanitize
+               --disable-static
+
+               $(use_enable lz4)
+               $(use_enable test fixture)
+
+               $(use_with zfs)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to